[Deprecated]: V6.0
get
/ec-dc-svc/rest/v6.0/studies/{studyId}/{mode}/visitstatus
Deprecated: Retrieves the list of visit statuses for a visit. If the event ID is null, then it lists all the visit statuses records for a subject.This API also provides unscheduled events details.
Request
Path Parameters
-
mode(required): string
Mode of the study. Accepts test, active, or training.
-
studyId(required): string
ID of the study for which you want to get the list of subjects.
Query Parameters
-
eventId(required): string
Visit ID for Designer.
-
eventInstanceNumber: integer(int32)
Unscheduled event instance number.
-
subjectId(required): string
Subject ID.
-
updateStatus: boolean
Reevaluates the visit status with the current design, if set to true.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Subjects success.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples